Subject: Re: More comments on CNRP spec (was: Re: Character Set Encoding i ssues)

From: Michael Mealling <[email-masked]>
Date: Thu, 13 Jul 2000 12:51:08 -0400

On Thu, Jul 13, 2000 at 09:42:56AM -0700, Nicolas Popp wrote:
> We have both the 'language' and 'geography' property, so technically we
> could do what Martin suggests for languages and achieve the same granularity
> of results (when the country subdivision matters) by having both hints in
> the query:
> <property name="language">fr</property>
> <property name="geography">FR</property>
>
> That being said, I see a pragmatic reason for keeping the language property
> as is: it maps directly into the browser locale and it is easier to ask a
> CNRP service to support one property (language) instead of two (language +
> geography) in their database.

The country specifier in the language property has a different
meaning than when its in the geography property. fr-CA vs fr-FR
means french as its spoken in Canada as opposed to how its spoken
in France. Commingly that concept with the ISO-3166-1 code that
is a possible value in the Georgraphy property is simply wrong...

I.e. I can say "give me the CNs that are written in French Canadian
but that are actually in France".

> Another way to say the same thing is that there is one language/geography
> combination that it is important to support and that's the one one expressed
> by the locale (a well-defined sets of language/country pairs). Other
> combinations (e.g language/any country or language/city) are second order.
> In the current proposal, the important combination can be implemented by
> supporting one property: the language proeprty. If we do what Marting
> suggests, it forces the service to understand 2 properties...
>
> IMHO, Less is better...

IMHO, this whole thread isn't sure what its talking about. ;-)
The country code Martin was talking about has no relationship
at all with country codes found in the Geography property...

-MM

--
--------------------------------------------------------------------------------
Michael Mealling        |      Vote Libertarian!       | www.rwhois.net/michael
Sr. Research Engineer   |   www.ga.lp.org/gwinnett     | ICQ#:         14198821
Network Solutions       |          www.lp.org          |  [email-masked]

---

From: Nicolas Popp <[email-masked]>
Date: Thu, 13 Jul 2000 09:42:56 -0700

IMHO, Less is better...

-Nico

-----Original Message-----
From: Michael Mealling [mailto:[email-masked]]
Sent: Thursday, July 13, 2000 8:49 AM
To: [email-masked]
Subject: Re: More comments on CNRP spec (was: Re: Character Set Encoding
issues)

On Thu, Jul 13, 2000 at 08:22:38AM -0700, Marshall L. Moseley wrote:
> > - For the language tag examples, most should only be one level
> >    (en, fr, sp, instead of en-US, fr-FR,...). In my opinion,
> >    the country subdivision will rarely be very relevant
>
> I think the country subdivision is *highly* relevant.  It enables
geographic
> scoping so that a CNRP query can return meaningfull results.  For example,
> 'Today's business news' will have very different meanings in Paris then it
> will in Quebec.

Martin is talking about the Language property, not the Location property.

I think the country subdivision is important for the language tag (ask
Leslie or Nico about what 'french' is one day). But if someone
doesn't like it they can create a new property type. Heck I can do
that in this document if someone can give me the appropriate citation.

-MM

--
----------------------------------------------------------------------------
----
Michael Mealling        |      Vote Libertarian!       |
www.rwhois.net/michael
Sr. Research Engineer   |   www.ga.lp.org/gwinnett     | ICQ#:
14198821
Network Solutions       |          www.lp.org          |
[email-masked]

---

From: "Martin J. Duerst" <[email-masked]>
Date: Wed, 19 Jul 2000 18:23:28 +0900

>but that are actually in France".

*Are* in France? They could as well be 'about France', couldn't
they? Or they could relate to France in another way, couldn't they?

I'm not sure about these things, but it might be good to have
some clarification/examples in the spec.

>at all with country codes found in the Geography property...

Well, let's say it's codes from the same list, and they denote
the same countries, but their relationship with resources
identified by CNs is clearly different.

Regards,   Martin.